<?php

interface Importable extends Saveable {
    
    /**
     * @return boolean
     */
    public function upload();

    public function deleteTempFile();
    
    /**
     * @return string
     */
    public function getFeedbackMsg();

    public function isUploaded();
}